package rip.iwakura.civil.events;

import java.sql.SQLException;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

import net.kyori.adventure.text.minimessage.MiniMessage;
import rip.iwakura.civil.Database;

public class JoinHandler implements Listener {
    private Database database;

    public JoinHandler(Database database) {
        this.database = database;
    }

    @EventHandler
    public void joinHandler(PlayerJoinEvent event) throws SQLException {
        Player p = event.getPlayer();

        event.joinMessage(MiniMessage.miniMessage()
                .deserialize("<gray>[<green>+<gray>] <green>" + p.getName() + "<white>"));

        if (database.getPlayer(p) == null)
            database.createPlayer(p);
    }
}
