package rip.iwakura.civil.types;

import java.util.UUID;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

@DatabaseTable(tableName = "players")
public class CivilPlayer {
    @DatabaseField(id = true, canBeNull = false, generatedId = false, columnName = "uuid")
    private UUID uuid;

    @DatabaseField(canBeNull = false, columnName = "name")
    private String name;

    @DatabaseField(canBeNull = true, foreign = true, foreignAutoRefresh = true)
    private CivilTeam team;

    public CivilPlayer() {
    }

    public CivilPlayer(UUID uuid, String name) {
        this.uuid = uuid;
        this.name = name;
    }

    public void setTeam(CivilTeam team) {
        this.team = team;
    }

    public CivilTeam getTeam() {
        return team;
    }

    public String getName() {
        return name;
    }
}
